Skip to main content
Model IDimage_generate.seedream_v4
ProviderKIE (ByteDance)
ModalityImage — Text-to-Image

Parameters

prompt
string
required
Text description of the image to generate.
image_params.aspect_ratio
string
Output aspect ratio. Options: 1:1, 16:9, 9:16, 4:3, 3:4. Default: 1:1.
image_params.negative_prompt
string
Description of elements to exclude from the image.
image_params.seed
number
Random seed for reproducible results.
callback_url
string
Webhook URL for completion notification.

Example

curl -X POST https://routerbase.kuaibaike.com/api/v1/run/image_generate.seedream_v4 \
  -H "Authorization: Bearer sk-t0-xxxxxxxxxxxx" \
  -H "Content-Type: application/json" \
  -d '{
    "prompt": "A cozy Japanese ramen shop interior at night, warm lighting, steam rising",
    "image_params": {
      "aspect_ratio": "4:3"
    }
  }'